package com.ssj.framework.weixin.card.bean;

import java.io.Serializable;

public class ActivateVip implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 7029502005730040112L;
	//embership_number	是	string(20)	357898858	会员卡编号，由开发者填入，作为序列号显示在用户的卡包里。可与Code码保持等值。
	private String embership_number;
	//code	是	string(20)	1231123	创建会员卡时获取的初始code。
	private String code;
	//activate_begin_time	否	unsigned int	1397577600	激活后的有效起始时间。若不填写默认以创建时的 data_info 为准。Unix时间戳格式。
	private Long activate_begin_time;
	//activate_end_time	否	unsigned int	1422724261	激活后的有效截至时间。若不填写默认以创建时的 data_info 为准。Unix时间戳格式。
	private Long activate_end_time;
	//init_bonus	否	string（3072）	持白金会员卡到店消费，可享8折优惠。	初始积分，不填为0。
	private String init_bonus;
	//init_balance	否	string（3072）	持白金
	private String init_balance;
	public String getEmbership_number() {
		return embership_number;
	}
	public void setEmbership_number(String embership_number) {
		this.embership_number = embership_number;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	
	public Long getActivate_begin_time() {
		return activate_begin_time;
	}
	public void setActivate_begin_time(Long activate_begin_time) {
		this.activate_begin_time = activate_begin_time;
	}
	public Long getActivate_end_time() {
		return activate_end_time;
	}
	public void setActivate_end_time(Long activate_end_time) {
		this.activate_end_time = activate_end_time;
	}
	public String getInit_bonus() {
		return init_bonus;
	}
	public void setInit_bonus(String init_bonus) {
		this.init_bonus = init_bonus;
	}
	public String getInit_balance() {
		return init_balance;
	}
	public void setInit_balance(String init_balance) {
		this.init_balance = init_balance;
	}
	
	
}
